Skip to main content
POST
/
v1
/
reviews
Create review (async)
curl --request POST \
  --url https://api.propelcode.ai/v1/reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "diff": "<string>",
  "repository": "<string>",
  "base_commit": "<string>"
}
'
import requests

url = "https://api.propelcode.ai/v1/reviews"

payload = {
"diff": "<string>",
"repository": "<string>",
"base_commit": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({diff: '<string>', repository: '<string>', base_commit: '<string>'})
};

fetch('https://api.propelcode.ai/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "review_id": "<string>",
  "status": "queued",
  "repository": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "base_commit": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
diff has a maximum size of 1,000,000 bytes.

Authorizations

Authorization
string
header
required

Review API token created through /v1/auth/tokens.

Body

application/json
diff
string
required

Unified diff content. Maximum 1,000,000 bytes.

repository
string
required

Repository in owner/repo format or supported repository reference.

Maximum string length: 255
base_commit
string

Optional base commit SHA.

Maximum string length: 255

Response

Review accepted and queued.

review_id
string
required
status
enum<string>
required
Available options:
queued
repository
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
base_commit
string